//@flow
'use strict';

var app = require('./server');

if (!app.locals.config.db) {
  console.error('You did not provide a persistent data source (config.db). While '+
    'this is fine for development, all updates will be lost when Zealder restarts.');
}
else {
  module.exports = {
    mainDs: app.locals.config.db
  };
}
