// @flow

import React from 'react';
// we really want to use "elastic" but it didn't work in IE11
// we could allow caller to pass Menu format as prop in future
import { slide as Menu } from 'react-burger-menu';

export default class BurgerMenu extends React.Component {
  render() {
    return (
      <div className="hidden-xl hidden-lg hidden-md" style={{zIndex: 10}}>
        <Menu right pageWrapId="page-wrap" isOpen={ false }
          customBurgerIcon={<div><i className="icon icon-fontello-menu-1"/></div>}
          outerContainerId="outer-container" >
          {this.props.children}
        </Menu>
      </div>
    )
  }
}
