// @flow

// this is the most generic content component that only export content as html
import React from 'react';

export default class Html extends React.Component {
  componentDidMount() {
    if ($(".as-html form").length) {
      // since there is form on page, add recaptcha
      grecaptcha.ready(function() {
        grecaptcha.execute(reCAPTCHAkey, {action: 'html_form'}).then((token) => {
          var input = $("<input>").attr("type", "hidden").attr("name", "recaptcha").val(token);
          $('.as-html form').append($(input));
        });
      });
    }
  }

  render() {
    // default value when content hasn't been added
    let content = {__html: "This content is not available"};
    const {html} = this.props.content.scContent;
    if (html) {
      content = {__html: html}
    }
    return (
      <div dangerouslySetInnerHTML={content} className="as-html" />
    );
  }
}
