// @flow

// reducers for themes

import _ from 'lodash/core';

import { UPDATE_THEME_DATA } from './../actions/theme'

// manage current selected page id
export function themeData(state = {}, action) {
  switch (action.type) {
  case UPDATE_THEME_DATA:
    return Object.assign({}, state, { [action.key]: action.data});
  default:
    return state
  }
}
