// @flow

import React from 'react';

export default class App extends React.Component {
  render() {
    // get MainMenu for mobile menu
    let BurgerMenu = this.props.getComponent('BurgerMenu', '');
    let MainMenu = this.props.getComponent('MainMenu', '');
    let PersonBar = this.props.getComponent('PersonBar', '');

    return (
      <div id="outer-container" >
        <BurgerMenu>
          <PersonBar stacked={true} />
          <MainMenu accordion={true} />
        </BurgerMenu>
        <div id="page-wrap">{this.props.children}</div>
      </div>
    );
  }
}
