// @flow

var path = require('path');

module.exports = {
  target: 'node',
  output: {
    library: 'serverRender',
    libraryTarget:'umd'
  },
  resolveLoader: {
    modules: [path.join(__dirname, "../node_modules"), "node_modules"]
  },
  module: {
    rules: [
      {
        test: /\.scss$/,
        loader: 'null-loader'
      },
      {
        test: /\.css$/,
        loader: 'null-loader'
      }
    ]
  }
}
