// @flow
'use strict';

// setup meta data
function metaData(req, res, next) {
  var zlSite = res.locals.zlSite;

  // favicons
  if (zlSite.zsOptions && zlSite.zsOptions.favicons) {
    res.locals.favicons = zlSite.zsOptions.favicons;
  }

  // title
  res.locals.title = zlSite.zsName;

  // robots: default for seo (themes like Admin may set beforehand)
  if (!res.locals.robots) res.locals.robots = 'INDEX, FOLLOW';
  next();
}

module.exports = function() { return metaData };
