//@flow
'use strict';

var _ = require('lodash');

module.exports = function(Model, options) {
  // get property validations from defination
  const props = Model.definition.properties;
  if (props) {
    _.forEach(props, function(value, key) {
      if (value.validation) {
        if (value.validation.pattern) {
          let pattern = value.validation.pattern;
          Model.validatesFormatOf(key, {
            with: pattern.value,
            message: (pattern.message)?pattern.message:'format is invalid'
          });
        }
      }
    })
  }
}
