// @flow

import grapesjs from "grapesjs";
require('grapesjs/dist/css/grapes.min.css');
require('./style.scss');

// initial data
var zlData = document.getElementById('zlData');
zlData = zlData ? JSON.parse(zlData.textContent) : '';

var config = {
  container : '#app-container',
  height: '100%',
  fromElement: true,
  storageManager: { type: '' }
};

if (zlData && zlData.config) {
  config = Object.assign(config, zlData.config);
}


var editor = grapesjs.init(config);
editor.on('load', () => {
  //console.log('components:', editor.getHtml());
})
