// @flow

import React from 'react';
import { connect } from 'react-redux';

class IdentityContainer extends React.Component {
  render() {
    const { zlSite } = this.props;
    return (
      <div>
        <img className="identity-logo" src={zlSite.logo} alt={zlSite.zsName} />
      </div>
    )
  }
}

const Identity = connect(
  (state) => {
  return {
    zlSite: state.zlSite
  }
}
)(IdentityContainer)

module.exports = Identity;
