// @flow

import React from 'react';
import { Grid, Row, Col } from 'react-bootstrap';
import { IndexLink } from 'react-router';

export default class MainNav extends React.Component {
  render() {
    // identity
    let Identity = this.props.getComponent('Identity', '');
    // MainMenu
    let MainMenu = this.props.getComponent('MainMenu', '');
    // MainMenu
    let PersonBar = this.props.getComponent('PersonBar', '');
    return (
      <Grid className="MainNav">
        <Row>
          <Col className="MainIdentity col-xl-2" xs={9} md={3}>
            <IndexLink to="/"><Identity /></IndexLink>
          </Col>
          <Col className="MainNavMenu col-xl-10" md={9} smHidden={true} xsHidden={true}>
            <Row className="person-bar-row">
              <Col xs={12}><PersonBar pullRight={true} /></Col>
            </Row>
            <div className="MainMenu">
              <MainMenu pullRight dontWrap=".app-header .MainMenu" />
            </div>
          </Col>
        </Row>
      </Grid>
    )
  }
}
