// @flow

import _ from 'lodash/core';

export const UPDATE_THEME_DATA = 'UPDATE_THEME_DATA';

// when receive list of contents for a page
export function updateThemeData(key, data) {
  return {
    type: UPDATE_THEME_DATA,
    key,
    data
  }
}

// request new stats data
export function reloadStats() {
  return dispatch => {
    return $.post( `/api/zlSites/adminStats`)
      .done(data => {
        dispatch(updateThemeData('adminStats', data.data));
      })
  }
}
