// @flow

import { combineReducers } from 'redux';

// import reducers
import { currentPage, pages, siteContents, pagesPreload } from './pages';
import { themeData } from './themeData';
import { zlSite } from './zlSite';

const rootReducer = combineReducers({
  zlSite, pages, currentPage, siteContents, themeData, pagesPreload
})

export default rootReducer
