// @flow

// reducers for zlSite

import { UPDATE_PROFILE, UPDATE_USER_TOKEN,
  UPDATE_SITE_DATA } from './../actions/zlSite'

let zlSiteDefault = {
  zsId: 1, zsName: 'Zealder', baseUrlPath: '', zsTheme: 'default'
}
export function zlSite(state = zlSiteDefault, action) {
  switch (action.type) {
  case UPDATE_PROFILE:
    return Object.assign({}, state, { user: action.data});
  case UPDATE_USER_TOKEN:
    return Object.assign({}, state, {
      accessToken: action.data.id,
      user: Object.assign({}, state.user, { usrId: action.data.userId })
    });
  case UPDATE_SITE_DATA:
    return Object.assign({}, state, action.data);
  default:
    return state
  }
}
